<?php

defined('TYPO3_MODE') or die('Access denied.');

// define \Memsource\MemsourceConnector\Domain\Model\Config
$GLOBALS['TCA']['tx_memsourceconnector_domain_model_config'] = [
    'columns' => [
        'key' => [
            'config' => [
                'type' => 'inline'
            ]
        ],
        'token' => [
            'config' => [
                'type' => 'inline'
            ]
        ],
        'debug' => [
            'config' => [
                'type' => 'inline'
            ]
        ],
    ],
    'ctrl' => [
        'hideTable' => 1,
    ],
];

if (TYPO3_MODE === 'BE') {
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
        'Memsource.memsource_connector',
        'system',
        'Default',
        '',
        [
            (\Memsource\MemsourceConnector\Domain\Utility\Typo3::getMajorVersion() < 10) ?
                'Config' :
                \Memsource\MemsourceConnector\Controller\ConfigController::class
            => 'default,generateToken,toggleDebug,downloadLogs,sendLogs,clearLogs'
        ],
        [
            'access' => 'user,group',
            'icon' => 'EXT:memsource_connector/Resources/Public/Icons/Extension.svg',
            'labels' => 'LLL:EXT:memsource_connector/Resources/Private/Language/Modules/Menu/locallang_mod.xlf',
        ]
    );
}
