<?php

namespace Memsource\MemsourceConnector\Domain\Entity;

class Image implements \JsonSerializable
{
    private $uid;

    private $title = '';

    private $alternative = '';

    private $description = '';

    /**
     * @param array $data
     */
    public function __construct($data)
    {
        foreach ($data as $key => $value) {
            if (property_exists(self::class, $key)) {
                $this->$key = $value;
            }
        }
    }

    /**
     * @return int
     */
    public function getUid()
    {
        return $this->uid;
    }

    /**
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @return string
     */
    public function getAlternative()
    {
        return $this->alternative;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @return array
     */
    public function jsonSerialize()
    {
        return get_object_vars($this);
    }
}
